中危 GD Graphics Library越界读取漏洞

CVE编号

CVE-2021-40812

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-09-09
漏洞描述
GD Graphics Library是一个开源代码库,用于程序员动态创建图像。
GD Graphics Library 2.3.2及之前版本存在越界读取漏洞。该漏洞源于程序未对某些gdGetBuf和gdPutBuf返回值进行检查。攻击者可利用该漏洞导致越界读取。

受影响系统:
GD Graphics Library GD Graphics Library <= 2.3.2
解决建议
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
https://github.com/libgd/libgd/commit/6f5136821be86e7068fcdf651ae9420b5d42e9a9
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libgd libgd * Up to
(including)
2.3.2
运行在以下环境
系统 debian_10 gd * Up to
(including)
2.2.5-5.2
运行在以下环境
系统 debian_11 gd * Up to
(including)
2.3.0-2
运行在以下环境
系统 debian_12 gd * Up to
(including)
2.3.0-2
运行在以下环境
系统 debian_9 gd * Up to
(including)
2.2.4-2+deb9u5
运行在以下环境
系统 debian_sid gd * Up to
(including)
2.3.0-2
运行在以下环境
系统 opensuse_Leap_15.3 gd * Up to
(excluding)
2.2.5-11.3.1
运行在以下环境
系统 suse_12_SP5 gd * Up to
(excluding)
2.1.0-24.20.1
运行在以下环境
系统 ubuntu_16.04.7_lts libgd2 * Up to
(excluding)
2021-11-08
运行在以下环境
系统 ubuntu_18.04 gd * Up to
(excluding)
2021-11-08
运行在以下环境
系统 ubuntu_18.04.5_lts libgd2 * Up to
(excluding)
2021-11-08
阿里云评分
4.9
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况